/***************************************************************
* Name:         garage.h
*
* Purpose:      Declarations for garage.c
*
* Course code:  21022105
* Student name: Marius Joldos
* E-mail:       Marius.Joldos@cs.utcluj.ro
****************************************************************
* Created:      2011-01-03
*
****************************************************************/
#ifndef GARAGE_H_INCLUDED
#define GARAGE_H_INCLUDED
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
// Types
typedef struct{
    char brand[31]; // brand of car
    char owner[61]; // owner's name
    unsigned short color; //code for car color
    char plate[8];  // number plate
} CarT;
// Functions
extern CarT *readCarInfo(CarT *c);
extern void sortCars(const char *fn);
extern void showCars(const char *fn);

#endif // GARAGE_H_INCLUDED
