#include "garage.h"

int main(int argc, char *argv[])
{
    CarT c;
    char *fn = "Garage.dat"; // default file name
    if (argc > 1) fn =argv[1];
    int fd = open(fn, O_RDWR |O_TRUNC|O_CREAT, S_IWUSR|S_IRUSR);
    if (fd == -1){
        fprintf(stderr, "main: open: ");
        perror(fn);
        abort();
    }
    while (readCarInfo(&c)){
        if (-1 == write(fd, &c, sizeof(CarT))){
            fprintf(stderr, "main: write: ");
            perror(fn);
            close(fd);
            exit(1);
        };
    }
    close(fd);
    showCars(fn);
    sortCars(fn);
    showCars(fn);
    return 0;
}
